<template>
	<header class="admin--header container-fluid">
		<div class="row">
			<div class="col-6 headerSubDIV right">
				<!-- customer info -->
				<a href="/" target="_blank" class="customer">
					<!-- customer logo -->
					<div class="logo">
						<img src="~/static/icon_white.png" alt="">
					</div>
					<div class="name">
						<!-- customer name -->
						<p>اراک ریل</p>
					</div>
				</a>
			</div>
			<div class="col-6 headerSubDIV left">
				<!-- logout button -->
				<button class="logout" title="خارج شدن از حساب" @click="logOut">
					<i class="fa fa-power-off"></i>
				</button>
			</div>
		</div>
	</header>
</template>


<script>
   export default {
      methods: {
         logOut() {
            this.$confirm('از اکانت خارج شوید؟', 'هشدار', {
               confirmButtonText: 'بله',
               cancelButtonText: 'لغو',
               type: 'warning'
            }).then(() => {
               this.$auth.logout()
               this.$router.push('/admin/login')
            }).catch(() => {
               this.$message({
                  type: 'warning',
                  message: 'عملیات لغو شد'
               })
            })
         }
      }
   }
</script>
